Issue 85261

Summary: Date Format Error
Product: Internationalization Reporter: redflagzhulihua <ooo.redflag>
Component: localedataAssignee: oc
Status: CLOSED FIXED QA Contact: issues@l10n <issues>
Severity: Trivial    
Priority: P3 CC: chengxiuzhi, issues, maho.nakata, peter.junge, weike.liang
Version: 680m241Keywords: CJK
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: PATCH Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 84405    
Attachments:
Description Flags
Date Format
none
The changes are based on those of issue 84741. none

Description redflagzhulihua 2008-01-15 10:29:19 UTC
There is a Date Format error in Format Cells dialog. 

See the attachment.
Comment 1 redflagzhulihua 2008-01-15 10:31:00 UTC
Created attachment 50877 [details]
Date Format
Comment 2 redflagzhulihua 2008-01-15 10:34:20 UTC

This one is the same as issue 84741.
Comment 3 ooo 2008-01-15 12:43:31 UTC
Issue 84741 is about some "milliseconds" word being appended to long time
formats. This issue here looks different. So, what is it about and what would be
correct?
Comment 4 redflagzhulihua 2008-01-15 13:02:00 UTC
Sorry for my expression.

I mean the same kind of issue.

Maybe also something wrong with i18npool/source/localedata/data/zh_*.xml


Comment 5 ooo 2008-01-15 15:20:17 UTC
Well, yes, all predefined number formats are defined in the locale data *.xml
files. Would be nice if someone could attach a patch where the correct character
is used, or tell its Unicode value here so I can change the places. Is this for
simplified Chinese only? Or all zh_* locales? Or a subset?
Comment 6 redflagzhulihua 2008-01-17 02:37:41 UTC
Hi, Liang Weike,

Maybe you can help er.

This issue is very similar with the issue you fixed a few days ago. See 
Issue84741.

Best regards,
Zhu Lihua
Comment 7 liangweike 2008-01-17 06:19:50 UTC
Ok. I accepted it. 
Comment 8 liangweike 2008-01-17 06:22:59 UTC
Created attachment 50929 [details]
The changes are based on those of issue 84741.
Comment 9 ooo 2008-01-17 12:14:53 UTC
Thanks, I'll add this to CWS locales30.
Comment 10 erack 2008-01-19 16:56:03 UTC
In cws locales30:

i18npool/source/localedata/data/zh_CN.xml  1.19.146.2
i18npool/source/localedata/data/zh_SG.xml  1.10.146.2
Comment 11 ooo 2008-02-29 11:56:20 UTC
Reassigning to QA for verification.
Comment 12 oc 2008-03-05 13:23:51 UTC
verified in internal build cws_locales30
Comment 13 redflagzhulihua 2008-08-06 11:33:31 UTC
Verified in DEV300m28.

But I found regressions in the same listbox. 2 items used to work well, but no 
more. I'll file another issue.